/*
 * Created on 1-jul.-2006 */
package DTDDoc;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.Task;

/** A logger that is logging through Ant's logging API.
 *
 * @author Stefan Champailler schampailler_at_skynet_dot_be */


public class AntLogger extends Logger {
	
	private Task antTask;
	
	public AntLogger( Task task) {
		antTask = task;
	}
	
    public void warn( String msg) {
        // FIXME By default Ant shows the warning message with the
        // very same "layout" as info messages. Therefore warnings
        // are hard to spot. For this reason, we add the WARNING
        // tag in front of our message. However, it is to be noted
        // that this should not be like taht. Afterall, if one
        // clearly specifies that a message is a warning, then
        // the logging mechanism should make it apppear as such.

        antTask.log( "WARNING: " + msg, Project.MSG_WARN);
    }

    public void error( String msg) {
        // FIXME Same "presentation" issue as for the Warnings...
		antTask.log( "ERROR: " + msg, Project.MSG_ERR);
    }

    public void info( String msg) {
		antTask.log( msg);
    }

}

