package DTDDoc;

import java.util.HashMap;
import java.util.Map;

import com.wutka.dtd.DTDElement;

public class DefinitionsMap {
	/**
	 * Map of elements names with corresponding DTD location where the element is defined. That is
	 * key = String : element name, value = String : file path where this element is defined
	 */
    private Map elementsLocations;


    public DefinitionsMap() {
        elementsLocations = new HashMap();
    }

    public void merge( DefinitionsMap map) {
        elementsLocations.putAll( map.elementsLocations);
    }
    
    public void add(DTDElement element, String filePath) {
        if (!elementsLocations.containsKey(element.name))
            elementsLocations.put(element.name, filePath);
    }

    public String getLocation(DTDElement element) {
    	return (String)elementsLocations.get(element.name);
    }
}
